Debian Bug report logs - #694378
unblock: apt-cacher-ng/0.7.11-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Eduard Bloch <blade@debian.org>

Date: Sun, 25 Nov 2012 22:48:02 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sun, 25 Nov 2012 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Nov 2012 22:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: apt-cacher-ng/0.7.10-1
Date: Sun, 25 Nov 2012 23:43:52 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package apt-cacher-ng

it solves #683803 and #677983 (*) since version 0.7.8. These changes are
especially required to support http.debian.net redirection properly and
to stop the total breakage of "apt-get update" runs on some systems.

There are upstream changes but I consider most of them harmless (I am
upstream) or they have been tested in Unstable/Experimental for already
16 weeks. Little problems in 0.7.8's changes have been solved in 0.7.10
(18 days in Unstable without new bug reports).

(*): assumed, no user complaints this time while previous fixing
attempts caused very prompt responses

$ debdiff apt-cacher-ng_0.7.6-1_amd64.deb apt-cacher-ng_0.7.10-1_amd64.deb 
File lists identical (after any substitutions)

Control files: lines which differ (wdiff format)
------------------------------------------------
Depends: libbz2-1.0, libc6 (>= 2.10), libgcc1 (>= 1:4.1.1), liblzma5 (>= [-5.1.1alpha+20110809),-] {+5.1.1alpha+20120614),+} libstdc++6 (>= 4.6), libwrap0 (>= 7.6-4~), zlib1g (>= 1:1.1.4), debconf (>= 0.5) | debconf-2.0, adduser
Installed-Size: [-1158-] {+1175+}
Version: [-0.7.6-1-] {+0.7.10-1+}

unblock apt-cacher-ng/0.7.10-1

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.5.0+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Tue, 27 Nov 2012 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Nov 2012 11:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 694378@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Eduard Bloch <blade@debian.org>
Cc: 694378@bugs.debian.org
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.10-1
Date: Tue, 27 Nov 2012 11:58:28 +0100
Hi,

Eduard Bloch wrote (25 Nov 2012 22:43:52 GMT) :
> it solves #683803 and #677983 (*) since version 0.7.8. These changes
> are especially required to support http.debian.net redirection
> properly and to stop the total breakage of "apt-get update" runs on
> some systems.

(Disclaimer: I'm not part of the release team.)

I've personally given up trying to use apt-cacher-ng 0.7.6-1 due to
these two bugs (I'm now using the sid version / an indicator their
severity should be bumped to RC?), so I find this unblock request
compelling, but I'm not sure anyone will be happy to review 50 files
changed, 991 insertions(+), 673 deletions(-).

Eduard, given the apparent brokenness of the version currently in
testing, the size of the delta, and the fact we've been frozen for
months, have you considered preparing a minimal fix meant to fix these
bugs for Wheezy? Another option would be to ask for removal from
testing, and maintaining this package in backports during the
Wheezy lifetime.

Thank you for your work on apt-cacher-ng!

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Wed, 26 Dec 2012 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 26 Dec 2012 11:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 694378@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Gabriele Stilli <superenzima@libero.it>, 683803@bugs.debian.org
Cc: 694378@bugs.debian.org
Subject: Re: Bug#683803: apt-cacher-ng: errors in combination with http.debian.net: [302 Moved Temporarily]
Date: Wed, 26 Dec 2012 12:08:49 +0100
Hallo,
* Gabriele Stilli [Tue, Dec 25 2012, 10:10:36PM]:

> any chance of having this fix backported to Wheezy? It's quite annoying
> not being able to do proper upgrades when using http.debian.net with
> (what will become) stable.

#694378 is there to get an answer to this question, apparently RM team
prefers to look away ATM.

Regards,
Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Wed, 26 Dec 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #18 received at 694378@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: debian-release@lists.debian.org
Subject: Re: Bug#694378: Bug#683803: apt-cacher-ng: errors in combination with http.debian.net: [302 Moved Temporarily]
Date: Wed, 26 Dec 2012 12:30:20 +0000
[Message part 1 (text/plain, inline)]
On Wed, Dec 26, 2012 at 12:08:49PM +0100, Eduard Bloch wrote:
> Hallo,
> * Gabriele Stilli [Tue, Dec 25 2012, 10:10:36PM]:
> 
> > any chance of having this fix backported to Wheezy? It's quite annoying
> > not being able to do proper upgrades when using http.debian.net with
> > (what will become) stable.
> 
> #694378 is there to get an answer to this question, apparently RM team
> prefers to look away ATM.
> 

Responding to the comments left by integri would perhaps be a good idea.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: apt-cacher-ng/0.7.11-1' from 'unblock: apt-cacher-ng/0.7.10-1' Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Thu, 27 Dec 2012 21:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Fri, 28 Dec 2012 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 28 Dec 2012 11:18:03 GMT) Full text and rfc822 format available.

Message #25 received at 694378@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Eduard Bloch <edi@gmx.de>, 694378@bugs.debian.org
Subject: Re: Bug#694378: Bug#683803: apt-cacher-ng: errors in combination with http.debian.net: [302 Moved Temporarily]
Date: Fri, 28 Dec 2012 11:15:13 +0000
[Message part 1 (text/plain, inline)]
On Wed, Dec 26, 2012 at 12:08:49PM +0100, Eduard Bloch wrote:
> Hallo,
> * Gabriele Stilli [Tue, Dec 25 2012, 10:10:36PM]:
> 
> > any chance of having this fix backported to Wheezy? It's quite annoying
> > not being able to do proper upgrades when using http.debian.net with
> > (what will become) stable.
> 
> #694378 is there to get an answer to this question, apparently RM team
> prefers to look away ATM.
> 

Responding to the comments left by integri would perhaps be a good idea.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sat, 26 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 26 Jan 2013 21:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 694378@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Eduard Bloch <blade@debian.org>
Cc: 694378@bugs.debian.org
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.10-1
Date: Sat, 26 Jan 2013 22:33:35 +0100
Hi Eduard,

intrigeri wrote (27 Nov 2012 10:58:28 GMT) :
> Eduard, given the apparent brokenness of the version currently in
> testing, the size of the delta, and the fact we've been frozen for
> months, have you considered preparing a minimal fix meant to fix these
> bugs for Wheezy?

Ping?

> Another option would be to ask for removal from testing, and
> maintaining this package in backports during the Wheezy lifetime.

Since then two upstream releases were uploaded to unstable, and a RC
bug (#698466) was filed against the version currently in unstable
(it's unclear to me if the version in testing is affected), so I'm
more and more inclined to think this would be the best course of
action. What do you think?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sun, 27 Jan 2013 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 13:18:06 GMT) Full text and rfc822 format available.

Message #35 received at 694378@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: intrigeri <intrigeri@debian.org>
Cc: 694378@bugs.debian.org
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.10-1
Date: Sun, 27 Jan 2013 14:14:53 +0100
Hallo,
* intrigeri [Sat, Jan 26 2013, 10:33:35PM]:
> Hi Eduard,
> 
> intrigeri wrote (27 Nov 2012 10:58:28 GMT) :
> > Eduard, given the apparent brokenness of the version currently in
> > testing, the size of the delta, and the fact we've been frozen for
> > months, have you considered preparing a minimal fix meant to fix these
> > bugs for Wheezy?
> 
> Ping?

Well, (no offense implied) I am often puzzled at how people ask for
"just the minimal fix" WRT complex software. It's like asking the garage
guy: please replace my brake pads but DON'T remove the wheels!!11

I could try to do that but the the extract would still require
significant code changes and involve the risk of breaking something you
don't see coming in the beginning. Those three months of testing in Sid
are IMHO more worth for software quality than some wild patching.

> > Another option would be to ask for removal from testing, and
> > maintaining this package in backports during the Wheezy lifetime.
> 
> Since then two upstream releases were uploaded to unstable, and a RC
> bug (#698466) was filed against the version currently in unstable
> (it's unclear to me if the version in testing is affected), so I'm

Nope, it's against another version in Experimental. And no, it doesn't
affect Unstable or Testing.

Regards,
Eduard.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sun, 27 Jan 2013 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 14:42:03 GMT) Full text and rfc822 format available.

Message #40 received at 694378@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Eduard Bloch <edi@gmx.de>, 694378@bugs.debian.org
Cc: intrigeri <intrigeri@debian.org>
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.11-1
Date: Sun, 27 Jan 2013 14:38:44 +0000
Control: retitle -1 unblock: apt-cacher-ng/0.7.11-1

Hi,

0.7.10-1 introduced a new segfaulting bug, #694620.  So the unblock
request is now for 0.7.11-1?

On 27/01/13 13:14, Eduard Bloch wrote:
>> intrigeri wrote (27 Nov 2012 10:58:28 GMT) :
>>> Eduard, given the apparent brokenness of the version currently in
>>> testing, the size of the delta, and the fact we've been frozen for
>>> months, have you considered preparing a minimal fix meant to fix these
>>> bugs for Wheezy?
>>
>> Ping?
> 
> Well, (no offense implied) I am often puzzled at how people ask for
> "just the minimal fix" WRT complex software.

Well, development is still very active.  Things have been changing quite
fast even during the freeze period.  It's difficult to say there will be
no remaining crash/corruption bugs for a ~3-year life in stable.

> I could try to do that but the the extract would still require
> significant code changes and involve the risk of breaking something you
> don't see coming in the beginning.

I did have a glance through the changes last month, to look for a
smaller fix, but this was my conclusion as well.


> Those three months of testing in Sid
> are IMHO more worth for software quality than some wild patching.
> 
>>> Another option would be to ask for removal from testing, and
>>> maintaining this package in backports during the Wheezy lifetime.

That sounds like a good idea to me;  if the bad version in wheezy is
removed, the sid version could enter wheezy-backports immediately after
release, and that also allows any required updates to be made quickly...

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sun, 27 Jan 2013 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 14:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 694378@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Eduard Bloch <edi@gmx.de>
Cc: 694378@bugs.debian.org
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.10-1
Date: Sun, 27 Jan 2013 15:41:49 +0100
Hi,

Eduard Bloch wrote (27 Jan 2013 13:14:53 GMT) :
> * intrigeri [Sat, Jan 26 2013, 10:33:35PM]:
>> intrigeri wrote (27 Nov 2012 10:58:28 GMT) :
>> > Eduard, given the apparent brokenness of the version currently in
>> > testing, the size of the delta, and the fact we've been frozen for
>> > months, have you considered preparing a minimal fix meant to fix these
>> > bugs for Wheezy?
>> 
>> Ping?

> Well, (no offense implied) I am often puzzled at how people ask for
> "just the minimal fix" WRT complex software.

I acknowledge it is sometimes the case that a minimal fix is hard to
extract, but it's also, quite often, pretty easy. I don't know this
specific code, so I was asking.

> It's like asking the garage guy: please replace my brake pads but
> DON'T remove the wheels!!11

Well, it's not my car, I'm not your client, and I'm not asking you to
do work that will only benefit me, so I don't think this comparison
fits the current situation very well. I'll assume good faith and
ignore the feelings this comparison triggers in me.

Anyhow, to clarify: I was exploring various possibilities, other that
granting this unblock (which is unlikely to happen), of seeing the
bugs fixed in Wheezy at this late stage of the freeze.

As far I could see in my limited time spent lurking in -release@,
a minimal fix is one of the most often applied solution in this kind
of situation. Hence, I was merely asking if you had *considered* it...

> I could try to do that but the the extract would still require
> significant code changes and involve the risk of breaking something you
> don't see coming in the beginning.

... and now I get my answer. So a "minimal fix" does not look doable.

Thank you for the information. I hope the release team can make
a decision with this in mind.

> Those three months of testing in Sid are IMHO more worth for
> software quality than some wild patching.

I agree testing in the real world is an important factor; it is quite
often taken into account by the release team, as far as I could see.

> Nope, it's against another version in Experimental. And no, it doesn't
> affect Unstable or Testing.

I stand corrected. Sorry for the confusion.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Sun, 27 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 694378@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: intrigeri <intrigeri@debian.org>
Cc: 694378@bugs.debian.org
Subject: Re: Bug#694378: unblock: apt-cacher-ng/0.7.10-1
Date: Sun, 27 Jan 2013 19:33:31 +0100
Hallo,
* intrigeri [Sun, Jan 27 2013, 03:41:49PM]:

> > Well, (no offense implied) I am often puzzled at how people ask for
> > "just the minimal fix" WRT complex software.
> 
> I acknowledge it is sometimes the case that a minimal fix is hard to
> extract, but it's also, quite often, pretty easy. I don't know this
> specific code, so I was asking.
>
> > It's like asking the garage guy: please replace my brake pads but
> > DON'T remove the wheels!!11
> 
> Well, it's not my car, I'm not your client, and I'm not asking you to
> do work that will only benefit me, so I don't think this comparison
> fits the current situation very well. I'll assume good faith and
> ignore the feelings this comparison triggers in me.
...
> a minimal fix is one of the most often applied solution in this kind
> of situation. Hence, I was merely asking if you had *considered* it...

C'mon, this comparison was just made up to demonstrate that the usual
dogma "everything with more than a couple of diff chunks is heavy
development and is therefore evil" does not fit all situations.

My decission for the bug mentioned before was obvious. It wasn't clear
where the problem originates, the suspected code was messy because of
various extensions and workarounds over time and remote debugging would
have become complicated. I could have spent a lot of time on code
reviewing without useful results or take a weekend to redesign the
process and make it robust and easier debuggable in future.
And IMHO it was the right decission because only a couple of related
bugs were discovered afterwards which were easy to analyze and easy to
fix.

Since wheezy-backports have been mentioned in this BR:
it's possible but something I would prefer not to use. I am biased,
of course, but IMO it's just a workaround which use could be avoided
here.

Regards,
Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694378; Package release.debian.org. (Mon, 18 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Feb 2013 17:51:03 GMT) Full text and rfc822 format available.

Message #55 received at 694378@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 694378@bugs.debian.org
Subject: please allow up-to-date apt-cacher-ng in wheezy
Date: Mon, 18 Feb 2013 18:47:24 +0100
Hi,

again (cf. #683803) I was bitten by (apt-cacher-ng  0.7.6-1):

Sun Feb 17 11:47:50 2013|http.debian.net/debian/pool/main/p/popt/libpopt0_1.16-7_i386.deb storage error [301 Moved Permanently], last errno: Operation now in progress
Sun Feb 17 11:56:55 2013|http.debian.net/debian/pool/main/libc/libcap2/libcap2_2.22-1.2_i386.deb storage error [301 Moved Permanently], last errno: Operation now in progress

This happens rarely, but even with "RedirMax: 0", and it spoils the debian-lan 
setup.

So please consider the fixed package for wheezy.  Offering a fixed package 
in backports doesn't make Debian better, because either you use the package from
backports which will not be better by being in backports or you don't use acng 
at all - which will not need a fixed package.  And it causes extra work  
to include backport repositories, especially for debian-lan.

Best regards,

	Andi




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 27 Apr 2013 15:21:04 GMT) Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. (Sat, 27 Apr 2013 15:21:04 GMT) Full text and rfc822 format available.

Message #60 received at 694378-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Andreas B. Mundt" <andi.mundt@web.de>, 694378-done@bugs.debian.org
Subject: Re: Bug#694378: please allow up-to-date apt-cacher-ng in wheezy
Date: Sat, 27 Apr 2013 16:19:50 +0100
On Mon, 2013-02-18 at 18:47 +0100, Andreas B. Mundt wrote:
> again (cf. #683803) I was bitten by (apt-cacher-ng  0.7.6-1):
> 
> Sun Feb 17 11:47:50 2013|http.debian.net/debian/pool/main/p/popt/libpopt0_1.16-7_i386.deb storage error [301 Moved Permanently], last errno: Operation now in progress
> Sun Feb 17 11:56:55 2013|http.debian.net/debian/pool/main/libc/libcap2/libcap2_2.22-1.2_i386.deb storage error [301 Moved Permanently], last errno: Operation now in progress
> 
> This happens rarely, but even with "RedirMax: 0", and it spoils the debian-lan 
> setup.
> 
> So please consider the fixed package for wheezy.  Offering a fixed package 
> in backports doesn't make Debian better, because either you use the package from
> backports which will not be better by being in backports or you don't use acng 
> at all - which will not need a fixed package.  And it causes extra work  
> to include backport repositories, especially for debian-lan.

I do hope I won't end up regretting doing so, but... unblocked.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 May 2013 07:30:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:24:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.